summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-07-25 19:06:43 -0500
committerAustin English <wizardedit@gentoo.org>2016-07-25 19:06:43 -0500
commit28de8a84a7cee0d27503e403d1dd3cd3e7129adb (patch)
tree01df93a42251d6da66b71c6e5f59e45a42e5aa7f /games-board/openyahtzee
parentnet-misc/wireguard: add debug USE flag (diff)
downloadgentoo-28de8a84a7cee0d27503e403d1dd3cd3e7129adb.tar.gz
gentoo-28de8a84a7cee0d27503e403d1dd3cd3e7129adb.tar.bz2
gentoo-28de8a84a7cee0d27503e403d1dd3cd3e7129adb.zip
games-board/openyahtzee: version bump to 1.9.3
Also: * remove deprecated games eclass * update to EAPI 6 * drop upstreamed patch * add tc-is-gcc check, warn for other compilers * add -std=c++11 to CXXFLAGS, needed by gcc-4.9 and clang Gentoo-Bug: https://bugs.gentoo.org/588234 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-board/openyahtzee')
-rw-r--r--games-board/openyahtzee/Manifest1
-rw-r--r--games-board/openyahtzee/openyahtzee-1.9.3.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/games-board/openyahtzee/Manifest b/games-board/openyahtzee/Manifest
index c62fa8e2324..1f1b8def887 100644
--- a/games-board/openyahtzee/Manifest
+++ b/games-board/openyahtzee/Manifest
@@ -1 +1,2 @@
DIST openyahtzee-1.9.2.tar.bz2 194053 SHA256 a56c2c16fc6ec3f4eba5a85afcf19467b364ec38f4374724673a0360fc3f83cd SHA512 012b7081eafafb28ada3d15f82d42b0a7fe5fe2e4c728dfbd1e3c688ef0e00bd22a55b1450e267c6e1d9d3cc2a8cf76dbec336c744a239df7dd46a473038b141 WHIRLPOOL 9013b7006fe4da86f69127c9a5a11544bd1022e31a4f0197d4fce58d75113b0246d5b76e1adf6a7e4d73ddd4beff0ce2a1a53a0e853366c59effbb3dfd406e80
+DIST openyahtzee-1.9.3.tar.xz 178868 SHA256 a6a02a5cd61d7094c6280b5b701de5a1b8769056cb2305fbd083970f0187762b SHA512 7e696141d8f567247300c7f4924889b0a2f88866c70a10ad7619709990cacb726ec0af28bcee62a9f0d607d7f83ca5bb62d7275b2cc6e0343004f9125e4fb506 WHIRLPOOL 36a399405d087c9631f0723550a3dec1247622dae80450d49079281d273244004173b448522295598c0020bb7e618ee446ba10e5ee28b1eb5441cd081220c868
diff --git a/games-board/openyahtzee/openyahtzee-1.9.3.ebuild b/games-board/openyahtzee/openyahtzee-1.9.3.ebuild
new file mode 100644
index 00000000000..bb45a29cd5e
--- /dev/null
+++ b/games-board/openyahtzee/openyahtzee-1.9.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+WX_GTK_VER="3.0"
+inherit eutils wxwidgets toolchain-funcs versionator
+
+DESCRIPTION="A full-featured wxWidgets version of the classic dice game Yahtzee"
+HOMEPAGE="http://openyahtzee.sourceforge.net/"
+SRC_URI="mirror://sourceforge/openyahtzee/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X]"
+DEPEND="${RDEPEND}
+ >=sys-devel/gcc-4.6
+ dev-libs/boost"
+
+pkg_pretend() {
+ local ver=4.6
+ local msg="You need at least GCC ${ver}.x for C++11 range-based 'for' and nullptr support."
+
+ if tc-is-gcc ; then
+ if ! version_is_at_least ${ver} $(gcc-version); then
+ die ${msg}
+ fi
+ else
+ ewarn "Ensure your compiler has C++11 support, otherwise build will fail."
+ fi
+}
+
+src_configure() {
+ append-cxxflags -std=c++11
+ need-wxwidgets unicode
+ econf --datadir=/usr/share
+}